<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>book-list-app documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">book-list-app documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content coverage">
                   <div class="content-data">














                   


<ol class="breadcrumb">
    <li>Documentation coverage</li>
</ol>

<div>
    <img src="./images/coverage-badge-documentation.svg">
</div>

<table class="table table-bordered coverage" id="coverage-table">
    <thead class="coverage-header">
        <tr>
            <th>File</th>
            <th>Type</th>
            <th>Identifier</th>
            <th style="text-align:right" class="statements" data-sort-default>Statements</th>
        </tr>
    </thead>
    <tbody>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/AppComponent.html">src/app/app.component.ts</a>
            </td>
            <td>component</td>
            <td>AppComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./guards/AuthGuard.html">src/app/auth.guard.ts</a>
            </td>
            <td>guard</td>
            <td>AuthGuard</td>
            <td align="right" data-sort="50">
                <span class="coverage-percent">50 %</span>
                <span class="coverage-count">(1/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/DashboardComponent.html">src/app/login/dashboard/dashboard.component.ts</a>
            </td>
            <td>component</td>
            <td>DashboardComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ForgotPasswordComponent.html">src/app/login/forgot-password/forgot-password.component.ts</a>
            </td>
            <td>component</td>
            <td>ForgotPasswordComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./components/SignInComponent.html">src/app/login/sign-in/sign-in.component.ts</a>
            </td>
            <td>component</td>
            <td>SignInComponent</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(4/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/SignUpComponent.html">src/app/login/sign-up/sign-up.component.ts</a>
            </td>
            <td>component</td>
            <td>SignUpComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/VerifyEmailComponent.html">src/app/login/verify-email/verify-email.component.ts</a>
            </td>
            <td>component</td>
            <td>VerifyEmailComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Book.html">src/app/models/book.model.ts</a>
            </td>
            <td>interface</td>
            <td>Book</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(14/14)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ResponseAddI.html">src/app/models/book.model.ts</a>
            </td>
            <td>interface</td>
            <td>ResponseAddI</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(4/4)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ResponseInterface.html">src/app/models/book.model.ts</a>
            </td>
            <td>interface</td>
            <td>ResponseInterface</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(4/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/NavComponent.html">src/app/nav/nav.component.ts</a>
            </td>
            <td>component</td>
            <td>NavComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/AddComponent.html">src/app/pages/add/add.component.ts</a>
            </td>
            <td>component</td>
            <td>AddComponent</td>
            <td align="right" data-sort="9">
                <span class="coverage-percent">9 %</span>
                <span class="coverage-count">(1/11)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./components/HomeComponent.html">src/app/pages/home/home.component.ts</a>
            </td>
            <td>component</td>
            <td>HomeComponent</td>
            <td align="right" data-sort="37">
                <span class="coverage-percent">37 %</span>
                <span class="coverage-count">(3/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/PagesComponent.html">src/app/pages/pages.component.ts</a>
            </td>
            <td>component</td>
            <td>PagesComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./pipes/ReduceTextPipe.html">src/app/pages/reduce-text/reduce-text.pipe.ts</a>
            </td>
            <td>pipe</td>
            <td>ReduceTextPipe</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/NgAuthService.html">src/app/services/auth.service.ts</a>
            </td>
            <td>injectable</td>
            <td>NgAuthService</td>
            <td align="right" data-sort="33">
                <span class="coverage-percent">33 %</span>
                <span class="coverage-count">(5/15)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/User.html">src/app/services/auth.service.ts</a>
            </td>
            <td>interface</td>
            <td>User</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(6/6)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/BookService.html">src/app/services/book.service.ts</a>
            </td>
            <td>injectable</td>
            <td>BookService</td>
            <td align="right" data-sort="88">
                <span class="coverage-percent">88 %</span>
                <span class="coverage-count">(8/9)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#environment">src/environments/environment.prod.ts</a>
            </td>
            <td>variable</td>
            <td>environment</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#environment">src/environments/environment.ts</a>
            </td>
            <td>variable</td>
            <td>environment</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
    </tbody>
</table>

<script src="js/libs/tablesort.min.js"></script>
<script src="js/libs/tablesort.number.min.js"></script>
<script>
    new Tablesort(document.getElementById('coverage-table'));
</script>

                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'coverage';
            var COMPODOC_CURRENT_PAGE_URL = 'coverage.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
